Skip to main content
GET
/
agent
/
all
List agents
curl --request GET \
  --url https://api.vocobase.com/api/v2/agent/all \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "agents": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "agent_name": "<string>",
        "prompt": "<string>",
        "voice_id": "<string>",
        "language": "<string>",
        "intro_message": "<string>",
        "voicemail_detection_enabled": true,
        "voicemail_message": "<string>",
        "enable_recording": true,
        "kb_include_summaries": true,
        "kb_result_format": "<string>",
        "kb_enable_llm_processing": true,
        "kb_llm_system_prompt": "<string>",
        "variables": [
          "<string>"
        ],
        "extraction_config": {
          "prompt": "<string>",
          "keys": [
            {
              "name": "<string>",
              "description": "<string>"
            }
          ],
          "includeToolLogs": false
        },
        "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "transferEnabled": true,
        "transferNumber": "<string>",
        "transferMessage": "<string>",
        "transfer_instructions": "<string>",
        "endCallEnabled": true,
        "endCallMessage": "<string>",
        "end_call_instructions": "<string>",
        "max_call_duration_secs": 600,
        "background_audio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "background_audio_volume": 0.5,
        "document_count": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vocobase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in format: rg_live_xxxx. Pass as a Bearer token in the Authorization header.

Query Parameters

limit
integer
default:10

Number of agents to return.

Required range: 1 <= x <= 100
offset
integer
default:0

Number of agents to skip.

Required range: x >= 0

Response

List of agents.

success
boolean
data
object